summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Fellype do Nascimento2020-01-12 04:51:49 +0100
committer Willy Sudiarto Raharjo2020-01-12 04:51:49 +0100
commita80c00941b261df58a7f8da1015e2207113ed8d0 (patch)
tree6710925104901a058150f7a986547786dbf74fe7 /development
parent15570288a5c3a72bdd6b0dc4d291f8b408f88192 (diff)
downloadslackbuilds-a80c00941b261df58a7f8da1015e2207113ed8d0.tar.gz
development/adms: Added (An automatic device model synthesizer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/adms/README6
-rw-r--r--development/adms/adms.SlackBuild101
-rw-r--r--development/adms/adms.info10
-rw-r--r--development/adms/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/development/adms/README b/development/adms/README
new file mode 100644
index 0000000000..06f8f88d79
--- /dev/null
+++ b/development/adms/README
@@ -0,0 +1,6 @@
+ADMS is a code generator for the Verilog-AMS language
+
+ADMS is a code generator that converts electrical compact device models specified
+in high-level description language into ready-to-compile C code for the API of spice
+simulators. Based on transformations specified in XML language, ADMS transforms
+Verilog-AMS code into other target languages.
diff --git a/development/adms/adms.SlackBuild b/development/adms/adms.SlackBuild
new file mode 100644
index 0000000000..05b077f979
--- /dev/null
+++ b/development/adms/adms.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for adms
+
+# Copyright 2020 Fellype do Nascimento, Campinas - Brazil
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=adms
+VERSION=${VERSION:-2.3.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRCNAME=ADMS-release
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ SPEC=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SPEC=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SPEC="-spec linux-g++-64"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRCNAME-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./bootstrap.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-maintainer-mode \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+if [ "$ARCH" = "x86_64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+fi
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/adms/adms.info b/development/adms/adms.info
new file mode 100644
index 0000000000..a9c1fe2813
--- /dev/null
+++ b/development/adms/adms.info
@@ -0,0 +1,10 @@
+PRGNAM="adms"
+VERSION="2.3.6"
+HOMEPAGE="http://sourceforge.net/projects/mot-adms/"
+DOWNLOAD="https://github.com/Qucs/ADMS/archive/release-2.3.6/adms-2.3.6.tar.gz"
+MD5SUM="c1710234c7716894fd7f85696a38d9d0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-xml-libxml"
+MAINTAINER="Fellype do Nascimento"
+EMAIL="fellype (at) gmail (dot) com"
diff --git a/development/adms/slack-desc b/development/adms/slack-desc
new file mode 100644
index 0000000000..dba02003ae
--- /dev/null
+++ b/development/adms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+adms: adms (An automatic device model synthesizer)
+adms:
+adms: adms is a code generator that converts electrical compact device
+adms: models specified in high-level description language into ready-to-
+adms: compile C code for the API of spice simulators. Based on
+adms: transformations specified in XML language, adms transforms
+adms: Verilog-AMS code into other target languages.
+adms:
+adms:
+adms:
+adms: